Subject: Re: [Dri-devel] PPC Lockup (ati-pcigart-branch)

From: Mike Beede <[email-masked]>
Date: Tue, 23 Jan 2001 10:14:39 -0600

Jeff Hartmann wrote:
>
> > Dan Malek wrote:
> > Ummm...of course it is virtually contiguous.  How could it be
> > different?  You request a size, and it returns a base virtual address.
> > If there were holes in it, how would you know?
>
> Look at vread in vmalloc.c, I think it would handle holes in a
> vmalloc'ed area (From a brief reading of the code.)  I've seen postings
> about this on linux-kernel.  I don't see a vwrite implementation, but I
> would assume you would have to do something similar for writes.

Separate calls to vmalloc can return noncontiguous regions, but the
memory
from a single call is contiguous.  Unless you mean *physically*
contiguous,
which isn't guaranteed at all. (I don't think you do--just thought I'd
be
clear).  After all, what good would it do to allocate multiple regions
and
return a pointer to the first?

	Mike
--
Mike Beede
Cisco Systems

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/